RegistryResources
Upsert a contained resource in the registry
Upsert a contained resource in the registry.
X-Clinia-API-Key<token>
In: header
Path Parameters
sourceKey*string
The key of the source.
resourceType*string
Type of the resource. Key of the profile.
id*string
Id of the resource.
containKey*string
Key of the contained resource. This is the key of the profile that defines the contained resource type.
containedResourceId*string
Id of the contained resource.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/sources/string/v1/resources/string/string/string/string" \ -H "Content-Type: application/json" \ -d '{ "type": "string", "data": {} }'{ "taskId": "string", "status": "ACCEPTED", "resource": { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {}, "contained": { "property1": [ { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {} } ], "property2": [ { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {} } ] } }}